### Function

# FwupdPlugin path_glob

#### Declaration [src]

    GPtrArray*
    fu_path_glob (
      const gchar* directory,
      const gchar* pattern,
      GError** error
    )

#### Description [src]

Returns all the filenames that match a specific glob pattern. Any results are sorted. No matching files will set `error`.

Available since: | 1.8.2

#### Parameters

`directory` | `const gchar*`
| A directory path.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`pattern` | `const gchar*`
| A glob pattern, e.g. `*foo*`
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | An array of `utf8`
| Matching files, or `NULL`.
| The caller of the function takes ownership of the data container, but not the data inside it.
| Each element is a NUL terminated UTF-8 string.